Bug 219423 - memory double-free error
Summary: memory double-free error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: strace   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Regression
Depends On: 218435
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-13 00:20 UTC by Russell Coker
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 01:42:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell Coker 2006-12-13 00:20:16 UTC
After killing strace version 4.5.14-3 on glibc 2.5-4 I get the following error.  It is repeatable.  I run 
"strace -p process -o file -ff &" and then run "killall strace".

Process 10561 detached
Process 10562 detached
Process 10563 detached
*** glibc detected *** strace: double free or corruption (!prev): 0x600000000002caa0 ***
======= Backtrace: =========
/lib/libc.so.6.1[0x20000000001323f0]
/lib/libc.so.6.1(cfree+0xe9580)[0x2000000000132e00]
/lib/libc.so.6.1(fclose+0xbdf90)[0x2000000000107820]
strace[0x40000000000037b0]
strace[0x4000000000004210]
strace[0x4000000000004a00]
strace[0x40000000000076d0]
/lib/libc.so.6.1(__libc_start_main+0x3a060)[0x2000000000083900]
strace[0x4000000000002800]
======= Memory map: ========
00000000-00004000 r--p 00000000 00:00 0 
2000000000000000-2000000000038000 r-xp 00000000 08:02 820153             /lib/ld-2.5.so
2000000000044000-2000000000050000 rw-p 00034000 08:02 820153             /lib/ld-2.5.so
2000000000060000-20000000002c4000 r-xp 00000000 08:02 820162             /lib/libc-2.5.so
20000000002c4000-20000000002d0000 ---p 00264000 08:02 820162             /lib/libc-2.5.so
20000000002d0000-20000000002dc000 rw-p 00260000 08:02 820162             /lib/libc-2.5.so
20000000002dc000-20000000002e8000 rw-p 20000000002dc000 00:00 0 
20000000002e8000-2000000000304000 r-xp 00000000 08:02 820179             /lib/
libgcc_s-4.1.1-20061011.so.1
2000000000304000-2000000000310000 ---p 0001c000 08:02 820179             /lib/
libgcc_s-4.1.1-20061011.so.1
2000000000310000-2000000000314000 rw-p 00018000 08:02 820179             /lib/
libgcc_s-4.1.1-20061011.so.1
2000000000314000-2000000000324000 rw-p 2000000000314000 00:00 0 
2000000004000000-2000000004024000 rw-p 2000000004000000 00:00 0 
2000000004024000-2000000008000000 ---p 2000000004024000 00:00 0 
4000000000000000-400000000004c000 r-xp 00000000 08:02 99998              /usr/bin/strace
6000000000008000-6000000000024000 rw-p 00048000 08:02 99998              /usr/bin/strace
6000000000024000-6000000000050000 rw-p 6000000000024000 00:00 0          [heap]
60000fff7fffc000-60000fff80000000 rw-p 60000fff7fffc000 00:00 0 
60000fffffd90000-60000fffffde4000 rw-p 60000fffffd90000 00:00 0          [stack]
a000000000000000-a000000000020000 ---p 00000000 00:00 0                  [vdso]

Comment 2 RHEL Product and Program Management 2006-12-13 20:40:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Frank Ch. Eigler 2006-12-13 21:28:03 UTC
Roland sez aye.

Comment 4 Dmitry V. Levin 2006-12-13 21:49:19 UTC
Fixed upstream.

Comment 6 Jay Turner 2007-01-08 14:25:59 UTC
QE ack for RHEL5.

Comment 7 Roland McGrath 2007-01-11 11:15:11 UTC
these bugs are fixed upstream in the coming 4.5.15 release

Comment 8 Roland McGrath 2007-01-17 03:10:17 UTC
4.5.15-1.el5 now in dist-5E fixes this.

Comment 9 RHEL Product and Program Management 2007-02-08 01:42:56 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.